Subject: FVWM: Bugs in pl38

From: [email-masked]
Date: Fri, 3 Nov 1995 18:28:57 +0100 (MET)

Hi!

After a lot of trouble getting fvwm2 to run on my SGI at all, it
is finally up and running beautifully.

While playing around with it, I found a few bugs, that you guys
might be interested in:

1.) .fvwm2rc:
    I get a coredump right after fvwm2 starts, when I ask for this:
AddToFunc XSETROOT_s "I" exec xsetroot -bitmap $0
AddToFunc XSETROOT_b "I" exec xsetroot -bitmap $0 $1 $2 $3 $4 $5 $6 $7 $8 $9

    But it works fine when I ask for this:
AddToFunc XSETROOT_s "I" exec xsetroot -bitmap $0
AddToFunc XSETROOT_b "I" exec xsetroot -bitmap $0 $1 $2 $3 $4 $5 $6 $7 $8

    I checked the man page for fvwm2 and it says $0 - $9 is fine, though.

2.) FvwmWinList: 
    *truncateleft doesn't work.  It still truncates right.

3.) FvwmTalk:
    It doesn't accept module specifications like "*FvwmWinListUseIconNames"
    The error message is:
      "No such module /usr/local/lib/X11/fvwm2 *FvwmWinListUseIconNames"

4.) Okay, here is a tricky one:
    In my .fvwm2rc I got:
Key Up          A       SC      CursorMove  0 -1
Key Down        A       SC      CursorMove  0 +1
Key Up          A       SM      CursorMove  0  -10
Key Down        A       SM      CursorMove  0  +10

    This works beautifully, unless a (popup) menu is open.  In that
    case Shift-Control-<cursor> acts just like Shift-Meta-<cursor>.
    Apparently the Meta-Flag is set while a menu is open.  Strange.

5.) This is not a bug, but two questions:
    a) Did fvwm1's 'Cursor' command disappear completely, or is it
       just hidden somewhere?  If it's gone, why?
    b) What about fvwm1's commands "AppsBackingStore" and "BackingStore"?
       Are the gone, too?  Why?

6.) Another question, but more tricky I am afraid:
    How can I specify that an iconified FvwmPager always opens up
    at -1+1 ?  In order to simulate the old builtin pager, I got this:
AddToFunc InitFunction    "I" Module FvwmPager 0 1
*FvwmPagerHilight lightsteelblue
*FvwmPagerGeometry -1+1
*FvwmPagerLabel 0 Standard
*FvwmPagerLabel 1 Extended
*FvwmPagerSmallFont 5x8
*FvwmPagerDeskTopScale 35
*FvwmPagerStartIconic

    It starts up iconic, just like I want to have it, but of course
    it always shows up where all the other icons are, too.  But I
    want to have it at the upper right corner.  Is that possible?

7.) Finally I would like to second the wish for "OpaqueResize", and
    my personal wish would be a window-specific AutoRaise command/module,
    like a style-command or so.

Besides that, you guys really did a wonderful job!!!
Keep up the good work, and thanks a lot!

Ciao,
 Andy.
___________________________________________________________________________
  Andy Spiegl, Institute for Applied Mathematics
  University of Technology, Muenchen, Germany
  E-Mail: [email-masked]
  http://www.appl-math.tu-muenchen.de/~spiegl/

Above all else - sky.

--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].